%define anolis_release 3

Name:             pinentry
Version:          1.2.1
Release:          %{anolis_release}%{?dist}
Summary:          Collection of simple PIN or passphrase entry dialogs
License:          GPLv2+
URL:              https://www.gnupg.org/
Source0:          https://gnupg.org/ftp/gcrypt/pinentry/%{name}-%{version}.tar.bz2
Source1:          pinentry-wrapper

BuildRequires:    gcc gcc-c++ make autoconf
BuildRequires:    pkgconfig(gcr-3) pkgconfig(gcr-base-3)
BuildRequires:    pkgconfig(gtk+-2.0) >= 2.12.0  pkgconfig(x11)
BuildRequires:    pkgconfig(libsecret-1) pkgconfig(ncursesw)
BuildRequires:    pkgconfig(Qt5Core) >= 5.0.0 pkgconfig(Qt5Gui) >= 5.0.0 
BuildRequires:    pkgconfig(Qt5Widgets) >= 5.0.0 pkgconfig(Qt5X11Extras) >= 5.1.0
BuildRequires:    libcap-devel libgpg-error-devel libassuan-devel

Provides:         %{name}-curses = %{version}-%{release}

%description
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the curses (text) based version of the PIN entry dialog.


%package gnome3
Summary:          Passphrase/PIN entry dialog for GNOME 3
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-gui = %{version}-%{release}

%description gnome3
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the GNOME 3 version of the PIN entry dialog.


%package gtk
Summary:          Passphrase/PIN entry dialog based on GTK+
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-gui = %{version}-%{release}
Provides:         pinentry-gtk2 = %{version}-%{release}

%description gtk
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the GTK GUI based version of the PIN entry dialog.

%package qt
Summary:          Passphrase/PIN entry dialog based on Qt5
Requires:         %{name} = %{version}-%{release}
Provides:         %{name}-gui = %{version}-%{release}
Obsoletes:        pinentry-qt4 < 0.8.0-2
Provides:         pinentry-qt5 = %{version}-%{release}

%description qt
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the Qt4 GUI based version of the PIN entry dialog.

%package emacs
Summary:          Passphrase/PIN entry dialog based on emacs
Requires:         %{name} = %{version}-%{release}

%description emacs
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the emacs based version of the PIN entry dialog.

%package tty
Summary:          Passphrase/PIN entry dialog in tty
Requires:         %{name} = %{version}-%{release}

%description tty
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains the tty version of the PIN entry dialog.

%package doc
Summary:          Documentory files for %{name}
Requires:         %{name} = %{version}-%{release}

%description doc
pinentry is a small collection of dialog programs that allow GnuPG to read passphrases 
and PIN numbers in a secure manner. There are versions for the common GTK and Qt toolkits 
as well as for the text terminal (Curses).
This package contains Documentory files for %{name}.


%prep
%autosetup -p1


%build
%configure \
  --disable-rpath --disable-dependency-tracking \
  --without-libcap --disable-pinentry-fltk \
  --enable-pinentry-gnome3 --enable-pinentry-gtk2 \
  --enable-pinentry-qt5 --enable-pinentry-emacs \
  --enable-pinentry-tty --enable-libsecret
%{make_build}


%install
%{make_install}

ln -s pinentry-gtk-2 %{buildroot}%{_bindir}/pinentry-gtk
ln -s pinentry-qt %{buildroot}%{_bindir}/pinentry-qt4

install -p -m 0755 -D %{SOURCE1} %{buildroot}%{_bindir}/pinentry


%files
%license COPYING
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_infodir}/pinentry.info*

%files gnome3
%{_bindir}/pinentry-gnome3

%files gtk
%{_bindir}/pinentry-gtk-2
%{_bindir}/pinentry-gtk

%files qt
%{_bindir}/pinentry-qt
%{_bindir}/pinentry-qt4

%files emacs
%{_bindir}/pinentry-emacs

%files tty
%{_bindir}/pinentry-tty

%files doc
%doc AUTHORS ChangeLog NEWS README THANKS TODO


%changelog
* Fri Apr 14 2023 chen_yu_ao <m15927509890@163.com> - 1.2.1-3
- change spec file format and add doc package

* Tue Mar 28 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-2
- Del Specific Fields

* Mon Jan 16 2023 Funda Wang <fundawang@yeah.net> - 1.2.1-1
- New version 1.2.1

* Fri Mar 04 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.0-1
- Init from upstream version 1.2.0
